Update tax

Updates an existing tax rate by its ID.

Note: Changing a tax rate will not affect existing quotation lines. Only new lines or updated lines will use the new rate.

Path Parameters

ParameterTypeRequiredDescription
idintegerYesTax unique identifier

Body Fields

FieldTypeRequiredDescription
namestringNoTax name
ratefloatNoTax rate as decimal between 0 and 1
byDefaultbooleanNoSet as default tax rate

Response Fields

FieldTypeDescription
idintegerTax unique identifier
namestringTax name
ratefloatTax rate as decimal
byDefaultbooleanWhether this is the default tax rate
createdAtdatetimeCreation timestamp
updatedAtdatetimeLast update timestamp

Response

  • 200 OK: Tax successfully updated
  • 400 Bad Request: Invalid request body or validation error
  • 401 Unauthorized: Invalid or missing API key
  • 404 Not Found: Tax not found
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
integer
required
Body Params
string
number
boolean
Responses
200

Resource updated

400

Bad request

401

Unauthorized

404

Resource not found

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here!